Skip to content

Get Clinical Concept Encounter

Request

Retrieve a specific encounter clinical concept associated with a subject by its ID.

Security
bearer
Path
idstringrequired
Query
subjectIdstringrequired

Subject ID (GUID)

Example:subjectId=123e4567-e89b-12d3-a456-426614174000
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/clinical-concepts/encounter/{id}?subjectId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstringrequired

Unique identifier for the encounter record

documentIdsArray of stringsrequired

List of document IDs associated with the encounter

codesArray of strings

Codes from source documents. Type "standard" indicates the code that determined the OMOP concept assignment

encounterDatestring

Date of the encounter (ISO string)

encounterTypestring

Type of the encounter

locationTypestring

Type of location for the encounter

locationNamestring

Name of the location for the encounter

addressstring

Address of the encounter location

citystring

City of the encounter location

statestring

State of the encounter location

postalcodestring

Postal code of the encounter location

providerFirstNamestring

Provider first name

providerMiddleNamestring

Provider middle name

providerLastNamestring

Provider last name

providerSuffixstring

Provider suffix (e.g. MD, DO)

encounterDiagnosisstring

Diagnosis associated with the encounter

dischargeDispositionstring

Discharge disposition for the encounter

encounterstring

Class of the encounter

npistring

The provider's National Provider Identifier

specialtystring

The provider's specialty

Response
{ "id": "string", "documentIds": [ "string" ], "codes": [ "string" ], "encounterDate": "string", "encounterType": "string", "locationType": "string", "locationName": "string", "address": "string", "city": "string", "state": "string", "postalcode": "string", "providerFirstName": "string", "providerMiddleName": "string", "providerLastName": "string", "providerSuffix": "string", "encounterDiagnosis": "string", "dischargeDisposition": "string", "encounter": "string", "npi": "string", "specialty": "string" }